# core-image-publisher
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Functions for cloud interactions."""

import glanceclient
import keystoneclient.v2_0.client


def get_glance_client(config):
    keystone = keystoneclient.v2_0.client.Client(
        username=config.get('nova', 'os_username'),
        password=config.get('nova', 'os_password'),
        tenant_name=config.get('nova', 'os_tenant_name'),
        auth_url=config.get('nova', 'os_auth_url')
    )
    glance_endpoints = keystone.service_catalog.get_endpoints(
        service_type='image'
    )
    glance_endpoint_url = glance_endpoints['image'][0]['internalURL']
    glance_client = glanceclient.Client(
        version='1',
        endpoint=glance_endpoint_url,
        token=keystone.auth_token
    )
    return glance_client
